## com.sun.jersey.server.spi.component
Interface ResourceComponentProviderFactory

All Superinterfaces:
  ComponentProviderFactory<ResourceComponentProvider>

    public interface ResourceComponentProviderFactory

extends ComponentProviderFactory<ResourceComponentProvider>

A resource class component provider factory.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`ResourceComponentProvider` | `getComponentProvider(IoCComponentProvider icp, java.lang.Class<?> c)` Get the resource class component provider.
`ComponentScope` | `getScope(java.lang.Class c)` Get the scope of the resource class.

Methods inherited from interface com.sun.jersey.core.spi.component.ComponentProviderFactory
`getComponentProvider`

Method Detail

### getScope

    ComponentScope getScope(java.lang.Class c)

  Get the scope of the resource class.

  Parameters:
    `c` - the resource class.
  Returns:
    the scope.

### getComponentProvider

    ResourceComponentProvider getComponentProvider(IoCComponentProvider icp,
                                                   java.lang.Class<?> c)

  Get the resource class component provider.

  Parameters:
    `icp` - the underlying IoC component provider.
    `c` - the resource class
  Returns:
    the resource class component provider.

Copyright © 2017 Oracle Corporation. All Rights Reserved.